Bug 522015 - No audible sound with kernel 2.6.30.5-43 and Pulse Audio 0.9.15-17 packages
Summary: No audible sound with kernel 2.6.30.5-43 and Pulse Audio 0.9.15-17 packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 06:51 UTC by David Bolack
Modified: 2010-06-28 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:33:18 UTC


Attachments (Terms of Use)

Description David Bolack 2009-09-09 06:51:14 UTC
Description of problem: Pulse Audio with the following updates does not work consistently in kernel-2.6.30.5-43.fc11.x86_64. Programs using pulse audio show up in Applications panel of "Sound Preferences" Pulse Audio tool but no actual sound is transmitted. 

The following error shows on pulseaudio -k;pulseaudio -vvv

E: module.c: Failed to load  module "module-alsa-card" (argument: "device_id=0 name=pci_1002_aa38_sound_card_0 card_name=alsa_card.pci_1002_aa38_sound_card_0 tsched=1"): initialization failed.

/var/log/messages reports this slightly before that equivalent entry: 

 module-alsa-card.c: Failed to find a working profile.


Version-Release number of selected component (if applicable):

# grep pulseaudio /var/log/yum.log

Sep 08 01:59:56 Updated: pulseaudio-libs-0.9.15-17.fc11.x86_64
Sep 08 02:00:00 Updated: pulseaudio-0.9.15-17.fc11.x86_64
Sep 08 02:00:01 Updated: pulseaudio-utils-0.9.15-17.fc11.x86_64
Sep 08 02:00:04 Updated: pulseaudio-module-zeroconf-0.9.15-17.fc11.x86_64
Sep 08 02:00:05 Updated: pulseaudio-module-bluetooth-0.9.15-17.fc11.x86_64
Sep 08 02:00:06 Updated: pulseaudio-libs-zeroconf-0.9.15-17.fc11.x86_64
Sep 08 02:00:07 Updated: pulseaudio-libs-glib2-0.9.15-17.fc11.x86_64
Sep 08 02:00:12 Updated: pulseaudio-libs-0.9.15-17.fc11.i586
Sep 08 02:01:53 Updated: pulseaudio-module-x11-0.9.15-17.fc11.x86_64
Sep 08 02:03:26 Updated: pulseaudio-module-jack-0.9.15-17.fc11.x86_64
Sep 08 02:03:32 Updated: pulseaudio-module-gconf-0.9.15-17.fc11.x86_64
Sep 08 02:04:04 Updated: pulseaudio-esound-compat-0.9.15-17.fc11.x86_64


How reproducible:

Nearly every reboot.

Steps to Reproduce:
1. Boot into kernel-2.6.30.5-43.fc11.x86_64 with packages above at those revision levels.
  
Actual results:

No obvious sound (system or otherwise) but no errors stating there are no devices at the application level.

Expected results:

sound. :)

Additional info: This seemed to work on my first reboot into the new kernal into I ran into a weird pulse audio hang and killed the process. All subsequent restarts/reboots, no sound. #fedora suggested there was a reported issue in combination of the newer kernel and the updated Pulse Audio packages and to try booting into an earlier kernel. This has worked for me so far.  Filing a bug per request.

# lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.5 PIC: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller
00:00.6 Host bridge: VIA Technologies, Inc. Device 6290
00:00.7 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:0f.0 IDE interface: VIA Technologies, Inc. VT8237A SATA 2-Port Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:13.0 PCI bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4350]
02:00.1 Audio device: ATI Technologies Inc R700 Audio Device [Radeon HD 4000 Series]
03:00.0 SATA controller: JMicron Technologies, Inc. 20360/20363 Serial ATA Controller (rev 03)
03:00.1 IDE interface: JMicron Technologies, Inc. 20360/20363 Serial ATA Controller (rev 03)
04:01.0 Audio device: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) (rev 10)
05:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

Comment 1 Guillaume Duranceau 2009-09-16 09:00:31 UTC
I got the exact same issue/errors after upgrading to kernel 2.6.30.5-43.

Note that I also have the same "module-alsa-card.c" and "module.c" errors when using the previous 2.6.29 kernel, and sound is working properly...

I finally managed to fix the issue by using alsamixer. When using kernel 2.6.30, I have different controls in alsamixer than with kernel 2.6.29 (some disappeared and some are new). One of the new controls is "Output Jack Mode". It was set by default to "Line in". I set it to "Line out", and the sound came back !

I also had a strange problem after using alsamixer. The sound was too loud ! In "pavucontrol", it turned out that the output volume was set to 122% (which should not be possible with the slidebar !). I just moved it back to 100%, and everything was perfect.

Cheers  -  Guillaume

Comment 2 Bug Zapper 2010-04-28 10:15:10 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:33:18 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.